| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Enumerations
jerror.h File Reference

Go to the source code of this file.

## Macros
#define | JMESSAGE(code, string)
#define | JMAKE_ENUM_LIST
#define | JMESSAGE(code, string) code ,
#define | JERROR_H
#define | ERREXIT(cinfo, code)
#define | ERREXIT1(cinfo, code, p1)
#define | ERREXIT2(cinfo, code, p1, p2)
#define | ERREXIT3(cinfo, code, p1, p2, p3)
#define | ERREXIT4(cinfo, code, p1, p2, p3, p4)
#define | ERREXITS(cinfo, code, str)
#define | MAKESTMT(stuff) do { stuff } while (0)
#define | WARNMS(cinfo, code)
#define | WARNMS1(cinfo, code, p1)
#define | WARNMS2(cinfo, code, p1, p2)
#define | TRACEMS(cinfo, lvl, code)
#define | TRACEMS1(cinfo, lvl, code, p1)
#define | TRACEMS2(cinfo, lvl, code, p1, p2)
#define | TRACEMS3(cinfo, lvl, code, p1, p2, p3)
#define | TRACEMS4(cinfo, lvl, code, p1, p2, p3, p4)
#define | TRACEMS5(cinfo, lvl, code, p1, p2, p3, p4, p5)
#define | TRACEMS8(cinfo, lvl, code, p1, p2, p3, p4, p5, p6, p7, p8)
#define | TRACEMSS(cinfo, lvl, code, str)

## Enumerations
enum | J_MESSAGE_CODE { JMESSAGE, JMESSAGE }

## Macro Definition Documentation

#define ERREXIT | ( |  | cinfo,
|  |  | code
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 205 of file jerror.h.

#define ERREXIT1 | ( |  | cinfo,
|  |  | code,
|  |  | p1
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 208 of file jerror.h.

#define ERREXIT2 | ( |  | cinfo,
|  |  | code,
|  |  | p1,
|  |  | p2
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(cinfo)->err->msg_parm.i[1] = (p2), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 212 of file jerror.h.

#define ERREXIT3 | ( |  | cinfo,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(cinfo)->err->msg_parm.i[1] = (p2), \
(cinfo)->err->msg_parm.i[2] = (p3), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 217 of file jerror.h.

#define ERREXIT4 | ( |  | cinfo,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3,
|  |  | p4
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(cinfo)->err->msg_parm.i[1] = (p2), \
(cinfo)->err->msg_parm.i[2] = (p3), \
(cinfo)->err->msg_parm.i[3] = (p4), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 223 of file jerror.h.

#define ERREXITS | ( |  | cinfo,
|  |  | code,
|  |  | str
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
strncpy((cinfo)->err->msg_parm.s, (str), JMSG_STR_PARM_MAX), \
(*(cinfo)->err->error_exit) ((j_common_ptr) (cinfo)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
JMSG_STR_PARM_MAX
#define JMSG_STR_PARM_MAX
Definition: jpeglib.h:660
code
Definition: inftrees.h:24

Definition at line 230 of file jerror.h.

#define JERROR_H

Definition at line 199 of file jerror.h.

#define JMAKE_ENUM_LIST

Definition at line 24 of file jerror.h.

#define JMESSAGE | ( |  | code,
|  |  | string
| ) |  |

Definition at line 48 of file jerror.c.

#define JMESSAGE | ( |  | code,
|  |  | string
| ) |  | code ,

Definition at line 35 of file jerror.h.

#define MAKESTMT | ( |  | stuff | ) | do { stuff } while (0)

Definition at line 235 of file jerror.h.

#define TRACEMS | ( |  | cinfo,
|  |  | lvl,
|  |  | code
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 252 of file jerror.h.

#define TRACEMS1 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 255 of file jerror.h.

#define TRACEMS2 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1,
|  |  | p2
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(cinfo)->err->msg_parm.i[1] = (p2), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 259 of file jerror.h.

#define TRACEMS3 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3
| ) |  |

Value:
MAKESTMT(int * _mp = (cinfo)->err->msg_parm.i; \
_mp[0] = (p1); _mp[1] = (p2); _mp[2] = (p3); \
(cinfo)->err->msg_code = (code); \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)); )
jpeg_common_struct
Definition: jpeglib.h:253
code
Definition: inftrees.h:24
MAKESTMT
#define MAKESTMT(stuff)
Definition: jerror.h:235

Definition at line 264 of file jerror.h.

#define TRACEMS4 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3,
|  |  | p4
| ) |  |

Value:
MAKESTMT(int * _mp = (cinfo)->err->msg_parm.i; \
_mp[0] = (p1); _mp[1] = (p2); _mp[2] = (p3); _mp[3] = (p4); \
(cinfo)->err->msg_code = (code); \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)); )
jpeg_common_struct
Definition: jpeglib.h:253
code
Definition: inftrees.h:24
MAKESTMT
#define MAKESTMT(stuff)
Definition: jerror.h:235

Definition at line 269 of file jerror.h.

#define TRACEMS5 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3,
|  |  | p4,
|  |  | p5
| ) |  |

Value:
MAKESTMT(int * _mp = (cinfo)->err->msg_parm.i; \
_mp[0] = (p1); _mp[1] = (p2); _mp[2] = (p3); _mp[3] = (p4); \
_mp[4] = (p5); \
(cinfo)->err->msg_code = (code); \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)); )
jpeg_common_struct
Definition: jpeglib.h:253
code
Definition: inftrees.h:24
MAKESTMT
#define MAKESTMT(stuff)
Definition: jerror.h:235

Definition at line 274 of file jerror.h.

#define TRACEMS8 | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | p1,
|  |  | p2,
|  |  | p3,
|  |  | p4,
|  |  | p5,
|  |  | p6,
|  |  | p7,
|  |  | p8
| ) |  |

Value:
MAKESTMT(int * _mp = (cinfo)->err->msg_parm.i; \
_mp[0] = (p1); _mp[1] = (p2); _mp[2] = (p3); _mp[3] = (p4); \
_mp[4] = (p5); _mp[5] = (p6); _mp[6] = (p7); _mp[7] = (p8); \
(cinfo)->err->msg_code = (code); \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)); )
jpeg_common_struct
Definition: jpeglib.h:253
code
Definition: inftrees.h:24
MAKESTMT
#define MAKESTMT(stuff)
Definition: jerror.h:235

Definition at line 280 of file jerror.h.

#define TRACEMSS | ( |  | cinfo,
|  |  | lvl,
|  |  | code,
|  |  | str
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
strncpy((cinfo)->err->msg_parm.s, (str), JMSG_STR_PARM_MAX), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), (lvl)))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
JMSG_STR_PARM_MAX
#define JMSG_STR_PARM_MAX
Definition: jpeglib.h:660
code
Definition: inftrees.h:24

Definition at line 286 of file jerror.h.

#define WARNMS | ( |  | cinfo,
|  |  | code
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), -1))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 238 of file jerror.h.

#define WARNMS1 | ( |  | cinfo,
|  |  | code,
|  |  | p1
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), -1))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 241 of file jerror.h.

#define WARNMS2 | ( |  | cinfo,
|  |  | code,
|  |  | p1,
|  |  | p2
| ) |  |

Value:
((cinfo)->err->msg_code = (code), \
(cinfo)->err->msg_parm.i[0] = (p1), \
(cinfo)->err->msg_parm.i[1] = (p2), \
(*(cinfo)->err->emit_message) ((j_common_ptr) (cinfo), -1))
j_common_ptr
struct jpeg_common_struct * j_common_ptr
Definition: jpeglib.h:261
code
Definition: inftrees.h:24

Definition at line 245 of file jerror.h.

## Enumeration Type Documentation

enum J_MESSAGE_CODE

Enumerator
JMESSAGE |
JMESSAGE |

Definition at line 33 of file jerror.h.